io.etcd.jetcd.watch

## Class WatchResponseWithError

- java.lang.Object
- - io.etcd.jetcd.watch.WatchResponseWithError

    public class WatchResponseWithError
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WatchResponseWithError(io.etcd.jetcd.common.exception.EtcdException e)`
`WatchResponseWithError(WatchResponse watchResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.etcd.jetcd.common.exception.EtcdException` `getException()`
`WatchResponse` `getWatchResponse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WatchResponseWithError

    public WatchResponseWithError(WatchResponse watchResponse)

#### WatchResponseWithError

    public WatchResponseWithError(io.etcd.jetcd.common.exception.EtcdException e)

### Method Detail

#### getWatchResponse

    public WatchResponse getWatchResponse()

#### getException

    public io.etcd.jetcd.common.exception.EtcdException getException()